読者です 読者をやめる 読者になる 読者になる

nokogiriインストールエラー

備忘 CentOS AWS

Amazon Linux AMI(CentOS)でnokogiri入れようとしたらエラーが出た。
チュートリアルを見てみると、libxml2とlibxsltが必要らしい。

sudo yum install -y libxml2-devel
sudo yum install -y libxslt-devel

でそれぞれインストール後にインストールし直したらエラーが解消した。